Bug 270012 - Amarok crashed after rescan when clicking on an Album's new cover
Summary: Amarok crashed after rescan when clicking on an Album's new cover
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Current Track (show other bugs)
Version: 2.4-GIT
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-04-03 17:09 UTC by Frank Steinmetzger
Modified: 2011-05-02 08:31 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Steinmetzger 2011-04-03 17:09:02 UTC
Application: amarok (2.4-GIT)
KDE Platform Version: 4.6.1 (4.6.1)
Qt Version: 4.7.2
Operating System: Linux 2.6.36.4 i686
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed:
While I was playing the track of an album I re-tagged that album with kid3 (changed only a few titles/filenames) and added a cover image to the album's folder (a file called Cover.jpg). Then I started a quick rescan. Amarok picked up the changed tags and kept on playing nicely, but the Now Playing applet still showed the default icon for album cover. So I was curious and clicked on the icon so it would show me the original size -- boom.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb0bf1720 (LWP 9046))]

Thread 8 (Thread 0xace33b70 (LWP 9047)):
#0  0xb7824424 in __kernel_vsyscall ()
#1  0xb5411665 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb58526dc in pthread_cond_wait () from /lib/libc.so.6
#3  0xaf7dd2a4 in vlc_cond_wait () from /usr/lib/libvlccore.so.4
#4  0x0a3977b8 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 7 (Thread 0xac336b70 (LWP 9050)):
#0  0xb447829a in clock_gettime () from /lib/librt.so.1
#1  0xb47107e8 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0xb5b5e065 in QTimerInfoList::updateCurrentTime (this=0xa48b634) at kernel/qeventdispatcher_unix.cpp:339
#3  0xb5b5e0a4 in QTimerInfoList::timerWait (this=0xa48b634, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#4  0xb5b5c1fa in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xac33601c) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb5b5c297 in timerSourcePrepare (source=0xa48b600, timeout=0xb447bff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0xb4662808 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#7  0x0a48a0bc in ?? ()
#8  0x5c8bd089 in ?? ()
#9  0x748b3c24 in ?? ()
#10 0x7c8b4024 in ?? ()
#11 0x6c8b4424 in ?? ()
#12 0xc4834824 in ?? ()
#13 0x768dc34c in ?? ()
#14 0x24548900 in ?? ()
#15 0x2434892c in ?? ()
#16 0xfd374ce8 in ?? ()
#17 0x24548bff in ?? ()
#18 0x0fc0852c in ?? ()
#19 0x00009884 in ?? ()
#20 0xeb368b00 in ?? ()
#21 0x26748dbe in ?? ()
#22 0x24548900 in ?? ()
#23 0x2434892c in ?? ()
#24 0xfd372ce8 in ?? ()
#25 0x24548bff in ?? ()
#26 0x0fc0852c in ?? ()
#27 0x00008f84 in ?? ()
#28 0xe9068b00 in ?? ()
#29 0xffffff63 in ?? ()
#30 0xbc8df689 in ?? ()
#31 0x00000027 in ?? ()
#32 0x24568b00 in ?? ()
#33 0x85206e89 in ?? ()
#34 0x8d3974d2 in ?? ()
#35 0xfbd68e83 in ?? ()
#36 0x2444c7ff in ?? ()
#37 0x0008c108 in ?? ()
#38 0x24448900 in ?? ()
#39 0x57838d10 in ?? ()
#40 0x89fffbd9 in ?? ()
#41 0x8d0c2444 in ?? ()
#42 0xfbd5f583 in ?? ()
#43 0x244489ff in ?? ()
#44 0xf2838d04 in ?? ()
#45 0x89fffb75 in ?? ()
#46 0xd2e82404 in ?? ()
#47 0x66000270 in ?? ()
#48 0x24468b90 in ?? ()
#49 0x0001ba40 in ?? ()
#50 0x46890000 in ?? ()
#51 0xff23e924 in ?? ()
#52 0xb48dffff in ?? () from /usr/lib/qt4/libQtSql.so.4
#53 0x56575500 in ?? ()
#54 0x0000e853 in ?? ()
#55 0x815b0000 in ?? ()
#56 0x0aef5bc3 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 6 (Thread 0xa9229b70 (LWP 9051)):
#0  0xb7824424 in __kernel_vsyscall ()
#1  0xb5411665 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb58526dc in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5a4232a in wait (this=0xa864740, mutex=0xa94bd50, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa864740, mutex=0xa94bd50, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb50c8781 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa864728, th=0xa9436b8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb50cb730 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa956828, th=0xa9436b8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb50c7853 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa864728, th=0xa9436b8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb50cb806 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa956828, th=0xa9436b8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb50c88e2 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa864728, th=0xa9436b8, previous=0x0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb50cb825 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa956828, th=0xa9436b8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb50c88e2 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa864728, th=0xa9436b8, previous=0xb41a8c0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb50c9a4d in ThreadWeaver::ThreadRunHelper::run (this=0xa9229224, parent=0xa864728, th=0xa9436b8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#13 0xb50ca111 in ThreadWeaver::Thread::run (this=0xa9436b8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#14 0xb5a416fb in QThreadPrivate::start (arg=0xa9436b8) at thread/qthread_unix.cpp:320
#15 0xb2b60de7 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1
#16 0xb584221e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa8a28b70 (LWP 9052)):
#0  0xb7824424 in __kernel_vsyscall ()
#1  0xb5411665 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb58526dc in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5a4232a in wait (this=0xa864740, mutex=0xa94bd50, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa864740, mutex=0xa94bd50, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb50c8781 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa864728, th=0xa9208e0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb50cb730 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa956828, th=0xa9208e0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb50c7853 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa864728, th=0xa9208e0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb50cb806 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa956828, th=0xa9208e0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb50c88e2 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa864728, th=0xa9208e0, previous=0x0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb50cb825 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa956828, th=0xa9208e0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb50c88e2 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa864728, th=0xa9208e0, previous=0xa0dd268) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb50c9a4d in ThreadWeaver::ThreadRunHelper::run (this=0xa8a28224, parent=0xa864728, th=0xa9208e0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#13 0xb50ca111 in ThreadWeaver::Thread::run (this=0xa9208e0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#14 0xb5a416fb in QThreadPrivate::start (arg=0xa9208e0) at thread/qthread_unix.cpp:320
#15 0xb2b60de7 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1
#16 0xb584221e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa8227b70 (LWP 9053)):
#0  0xb7824424 in __kernel_vsyscall ()
#1  0xb5411665 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb58526dc in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5a4232a in wait (this=0xa864740, mutex=0xa94bd50, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa864740, mutex=0xa94bd50, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb50c8781 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa864728, th=0xa9216f8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb50cb730 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa956828, th=0xa9216f8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb50c7853 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa864728, th=0xa9216f8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb50cb806 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa956828, th=0xa9216f8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb50c88e2 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa864728, th=0xa9216f8, previous=0x0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb50cb825 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa956828, th=0xa9216f8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb50c88e2 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa864728, th=0xa9216f8, previous=0xab666a8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb50c9a4d in ThreadWeaver::ThreadRunHelper::run (this=0xa8227224, parent=0xa864728, th=0xa9216f8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#13 0xb50ca111 in ThreadWeaver::Thread::run (this=0xa9216f8) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#14 0xb5a416fb in QThreadPrivate::start (arg=0xa9216f8) at thread/qthread_unix.cpp:320
#15 0xb2b60de7 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1
#16 0xb584221e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa7a26b70 (LWP 9054)):
#0  0xb7824424 in __kernel_vsyscall ()
#1  0xb5411665 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb58526dc in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5a4232a in wait (this=0xa864740, mutex=0xa94bd50, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa864740, mutex=0xa94bd50, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb50c8781 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa864728, th=0xa91ef28) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb50cb730 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa956828, th=0xa91ef28) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb50c7853 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa864728, th=0xa91ef28) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb50cb806 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa956828, th=0xa91ef28) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb50c88e2 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa864728, th=0xa91ef28, previous=0x9fb4c7c0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb50c9a4d in ThreadWeaver::ThreadRunHelper::run (this=0xa7a26224, parent=0xa864728, th=0xa91ef28) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#11 0xb50ca111 in ThreadWeaver::Thread::run (this=0xa91ef28) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#12 0xb5a416fb in QThreadPrivate::start (arg=0xa91ef28) at thread/qthread_unix.cpp:320
#13 0xb2b60de7 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1
#14 0xb584221e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa68feb70 (LWP 9057)):
#0  0xb7824424 in __kernel_vsyscall ()
#1  0xb5411665 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb58526dc in pthread_cond_wait () from /lib/libc.so.6
#3  0xb4a9cd47 in ?? () from /usr/lib/qt4/libQtScript.so.4
#4  0xb4a9cd8f in ?? () from /usr/lib/qt4/libQtScript.so.4
#5  0xb2b60de7 in ?? () from //usr/lib/opengl/nvidia/lib/libGL.so.1
#6  0xb584221e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb0bf1720 (LWP 9046)):
[KCrash Handler]
#7  CoverViewDialog::CoverViewDialog (this=0xb423168, album=..., parent=0xa026638) at /home/frank/programmieren/amarok/src/covermanager/CoverViewDialog.cpp:34
#8  0xaa476f88 in CurrentTrack::mousePressEvent (this=0xa9138a8, event=0xbfbf7544) at /home/frank/programmieren/amarok/src/context/applets/currenttrack/CurrentTrack.cpp:261
#9  0xb665e715 in QGraphicsItem::sceneEvent (this=0xa9138b0, event=0xbfbf7544) at graphicsview/qgraphicsitem.cpp:6718
#10 0xb66af97b in QGraphicsWidget::sceneEvent (this=0xa9138a8, event=0xbfbf7544) at graphicsview/qgraphicswidget.cpp:1191
#11 0xb6677eb5 in QGraphicsScenePrivate::sendEvent (this=0xa786e38, item=0xa9138b0, event=0xbfbf7544) at graphicsview/qgraphicsscene.cpp:1207
#12 0xb667a4d9 in QGraphicsScenePrivate::sendMouseEvent (this=0xa786e38, mouseEvent=0xbfbf7544) at graphicsview/qgraphicsscene.cpp:1281
#13 0xb668d708 in QGraphicsScenePrivate::mousePressEventHandler (this=0xa786e38, mouseEvent=0xbfbf7544) at graphicsview/qgraphicsscene.cpp:1406
#14 0xb668d7e8 in QGraphicsScene::mousePressEvent (this=0xa786cd8, mouseEvent=0xbfbf7544) at graphicsview/qgraphicsscene.cpp:4053
#15 0xb668c7ce in QGraphicsScene::event (this=0xa786cd8, event=0xbfbf7544) at graphicsview/qgraphicsscene.cpp:3437
#16 0xb601a49a in QApplicationPrivate::notify_helper (this=0xa022270, receiver=0xa786cd8, e=0xbfbf7544) at kernel/qapplication.cpp:4462
#17 0xb6020885 in QApplication::notify (this=0xbfbf8354, receiver=0xa786cd8, e=0xbfbf7544) at kernel/qapplication.cpp:3862
#18 0xb762ade0 in KApplication::notify (this=0xbfbf8354, receiver=0xa786cd8, event=0xbfbf7544) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#19 0xb5b2ffec in QCoreApplication::notifyInternal (this=0xbfbf8354, receiver=0xa786cd8, event=0xbfbf7544) at kernel/qcoreapplication.cpp:731
#20 0xb601a092 in sendSpontaneousEvent (receiver=0xa786cd8, event=0xbfbf6ddc) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#21 qt_sendSpontaneousEvent (receiver=0xa786cd8, event=0xbfbf6ddc) at kernel/qapplication.cpp:5456
#22 0xb66aaade in QGraphicsView::mousePressEvent (this=0xa0e8b18, event=0xbfbf7b58) at graphicsview/qgraphicsview.cpp:3162
#23 0xb6071f5d in QWidget::event (this=0xa0e8b18, event=0xbfbf7b58) at kernel/qwidget.cpp:8255
#24 0xb6453897 in QFrame::event (this=0xa0e8b18, e=0xbfbf7b58) at widgets/qframe.cpp:557
#25 0xb64e676e in QAbstractScrollArea::viewportEvent (this=0x1, e=0xbfbf6ddc) at widgets/qabstractscrollarea.cpp:1043
#26 0xb66a84a0 in QGraphicsView::viewportEvent (this=0xa0e8b18, event=0xbfbf7b58) at graphicsview/qgraphicsview.cpp:2864
#27 0xb64e8f47 in viewportEvent (this=0xa7ac478, o=0xa7c9160, e=0xbfbf7b58) at widgets/qabstractscrollarea_p.h:100
#28 QAbstractScrollAreaFilter::eventFilter (this=0xa7ac478, o=0xa7c9160, e=0xbfbf7b58) at widgets/qabstractscrollarea_p.h:116
#29 0xb5b2f843 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0xa022270, receiver=0xa7c9160, event=0xbfbf7b58) at kernel/qcoreapplication.cpp:846
#30 0xb601a48a in QApplicationPrivate::notify_helper (this=0xa022270, receiver=0xa7c9160, e=0xbfbf7b58) at kernel/qapplication.cpp:4458
#31 0xb6020e0a in QApplication::notify (this=0xbfbf8354, receiver=0xa7c9160, e=0xbfbf7b58) at kernel/qapplication.cpp:4023
#32 0xb762ade0 in KApplication::notify (this=0xbfbf8354, receiver=0xa7c9160, event=0xbfbf7b58) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r2/work/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#33 0xb5b2ffec in QCoreApplication::notifyInternal (this=0xbfbf8354, receiver=0xa7c9160, event=0xbfbf7b58) at kernel/qcoreapplication.cpp:731
#34 0xb601e61a in sendSpontaneousEvent (receiver=0xa7c9160, event=0xbfbf7b58, alienWidget=0xa7c9160, nativeWidget=0xa6e63c0, buttonDown=0xb6922c00, lastMouseReceiver=..., spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#35 QApplicationPrivate::sendMouseEvent (receiver=0xa7c9160, event=0xbfbf7b58, alienWidget=0xa7c9160, nativeWidget=0xa6e63c0, buttonDown=0xb6922c00, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3120
#36 0xb60a4491 in QETWidget::translateMouseEvent (this=0xa6e63c0, event=0xbfbf7f90) at kernel/qapplication_x11.cpp:4461
#37 0xb60a26f7 in QApplication::x11ProcessEvent (this=0xbfbf8354, event=0xbfbf7f90) at kernel/qapplication_x11.cpp:3465
#38 0xb60cd31b in x11EventSourceDispatch (s=0xa0213f8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#39 0xb465f085 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-04-11 21:05:41 UTC
Fixed by  rv2.4.0.90-54-g309cb6b
Comment 2 Ralf Engels 2011-05-02 01:44:38 UTC
Git commit 6d337752e5e7863d1780852bd4549f360fb19cf9 by Ralf Engels.
Committed on 11/04/2011 at 17:27.
Pushed by rengels into branch 'dynamicplaylist'.

Prevent crash setting cover from current track applet

BUG: 270012

M  +2    -1    src/context/applets/currenttrack/CurrentTrack.cpp     

http://commits.kde.org/amarok/6d337752e5e7863d1780852bd4549f360fb19cf9